\begin{acknowledgements}
It is my great fortune to work with all of you in the gravitational-wave physics group at the Chinese University of Hong Kong. 
First of all, I would like to thank my supervisor, Prof. Tjonnie G.F. Li, for his huge autonomy of research given to his students and his support, without reservation, to my research activities.
It is my luck to be your student. 
I would like to thank Patrick C.K Cheong, for being a good friend, a good teacher and a good officemate of mine. 
I would like to thank Robin S.H. Yuen for his assitance on programming and his support during the most difficult peroid in my undergraduate study. 
I would like to thank Alvin K.Y. Li, for his robust friendship and support at difficult moments during my course of MPhil study.   
I would like to thank my super partner, Adrian K.H. Lai, for being a good friend to talk to whenever I am confused by physics.  
I would like to thank Jacky H.T. Yip, Alexander M. Tanaka, Alan T.L Lam, Mark H.Y. Cheung and Levi W.H. Poon, for being my first group of students. 
It is my pleasure to be your mentors, and I wish you everything well. 
I would like to thank Raymond Yeung for being a coach of my life. 
I would like to thank Rico K.L Lo, for his help when I moved my room in college.
I would like to thank Kaye J.L Li, for being a good friend of mine. 
I would like to thank Otto A. Hannuksela, who offered my first education on usage of Ubuntu and PyCBC, as well as for his random invitations for lunch, dinner or teas.
I would like to thank Prof Michele Maggiore, the pubsliher of the Oxford University and Prof Frans Pretorius for their consent permitting me to reproduce the figures from their textbook and papers. 
Last but not least, I would like to thank my mum Li-Ming Yeung and my great teacher, Mr. Kirby K. P. Ching. 
Without support from whom, none of the research in this thesis could have been completed. 
\end{acknowledgements}
